| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jfdctfst.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdct.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | CONST_BITS 8
#define | FIX_0_382683433 ((INT32) 98) /* FIX(0.382683433) */
#define | FIX_0_541196100 ((INT32) 139) /* FIX(0.541196100) */
#define | FIX_0_707106781 ((INT32) 181) /* FIX(0.707106781) */
#define | FIX_1_306562965 ((INT32) 334) /* FIX(1.306562965) */
#define | DESCALE(x, n) RIGHT_SHIFT(x, n)
#define | MULTIPLY(var, const) ((DCTELEM) DESCALE((var) * (const), CONST_BITS))

## Functions
| jpeg_fdct_ifast (DCTELEM *data)

## Macro Definition Documentation

#define CONST_BITS 8

Definition at line 68 of file jfdctfst.c.

#define DESCALE | ( |  | x,
|  |  | n
| ) |  | RIGHT_SHIFT(x, n)

Definition at line 98 of file jfdctfst.c.

#define FIX_0_382683433 ((INT32) 98) /* FIX(0.382683433) */

Definition at line 79 of file jfdctfst.c.

#define FIX_0_541196100 ((INT32) 139) /* FIX(0.541196100) */

Definition at line 80 of file jfdctfst.c.

#define FIX_0_707106781 ((INT32) 181) /* FIX(0.707106781) */

Definition at line 81 of file jfdctfst.c.

#define FIX_1_306562965 ((INT32) 334) /* FIX(1.306562965) */

Definition at line 82 of file jfdctfst.c.

#define JPEG_INTERNALS

Definition at line 33 of file jfdctfst.c.

#define MULTIPLY | ( |  | var,
|  |  | const
| ) |  | ((DCTELEM) DESCALE((var) * (const), CONST_BITS))

Definition at line 106 of file jfdctfst.c.

## Function Documentation

jpeg_fdct_ifast | ( | DCTELEM * | data | ) |

Definition at line 114 of file jfdctfst.c.